| Home | Libraries | People | FAQ | More

## Function template is_sorted_until

boost::algorithm::is_sorted_until

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename ForwardIterator>
      BOOST_CXX14_CONSTEXPR ForwardIterator
      is_sorted_until(ForwardIterator first, ForwardIterator last);

## Description

Parameters:

`first` | The start of the sequence to be tested.
`last` | One past the end of the sequence

Returns: | the point in the sequence [first, last) where the elements are unordered